'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const child_process_1 = tslib_1.__importDefault(require("child_process"));
const fs_1 = tslib_1.__importDefault(require("fs"));
const getLastCommitIdFromGit = () => {
    const spawn = child_process_1.default
        .spawnSync('git', ['rev-parse', 'HEAD']);
    if (!spawn.stderr.toString().trim()) {
        return spawn.stdout.toString().trim();
    }
    return '';
};
const getLastCommitIdFromRevisionFile = () => {
    try {
        return fs_1.default
            .readFileSync('REVISION')
            .toString()
            .trim();
    }
    catch (error) {
        throw new Error('REVISION file not found.');
    }
};
exports.getLastCommitId = () => {
    let lastCommitId = getLastCommitIdFromGit();
    if (!lastCommitId) {
        lastCommitId = getLastCommitIdFromRevisionFile();
    }
    return lastCommitId;
};
//# sourceMappingURL=git.js.map